Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000303 [Piwigo] display feature always 2006.03.07 19:34 2006.03.09 02:53
Reporter rvelices View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.6 branch Product Version 1.5.2
  Target Version Product Build
Summary 0000303: Configuration par l'admin du header des pages...
Description Suite aux inombrables topics sur le forum de comment faire pour ajouter une baniere/changer l'affichage de l'entete:
il serait utile de pouvoir definir le html affiche par configuration dans la page d'admin.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000670)
plg (manager)
2006.03.07 23:18

Je ne suis pas trop d'accord. Le header.tpl est là pour ça.
(0000671)
mathiasm (manager)
2006.03.08 14:46

Ce qui pourrait être fait c'est fournir un theme avec chacune des config, comme ça ils ont déjà le modèle:
ex.: un theme avec image + texte, un theme avec image seulement, un avec texte seulement (yoga)
ça dervait etre assez bien avec le nouveau template/theme de chrisaga
(0000672)
rvelices (developer)
2006.03.08 14:55

Je sais que le header.tpl est la, mais je suppose que 95% d'utilisateurs le change (95% de ceux qui savent le faire).
Mon avis est que si on veut faire simple pour l'utilisateur, on doit faire ca. Pierrick, si tu persistes a dire non, peux-tu fermer ce bug STP ?
(0000673)
plg (manager)
2006.03.08 15:29

En fait, je suis passé un peu vite, mais je ne vois pas trop ce qui serait à faire, puisque la description de la galerie peut être en HTML déjà.

Bref, je ne vois pas trop comment on peut améliorer ce qui existe déjà :-/ (rvelices, je suis ouvert aux évolutions, mais sur ce coup, je ne vois pas l'intérêt).

mathiasm, il me semble que le HTML est propre au template et pas au theme. Or, on ne peut raisonnablement pas livrer plus d'un template officiellement.
(0000674)
mathiasm (manager)
2006.03.08 17:09
edited on: 2006.03.08 17:13

<Pierrick> Or, on ne peut raisonnablement pas livrer plus d'un template officiellement. </Pierrick>
Ah bon?
Je suis d'accord cependant que ce que je propose n'est qu'une rustine car il faudra de toute façon livrer l'image. Mais ça peut être la seule manip à faire pour adapter le template. Ce qui sipplifie les chosesp our ceux qui ont du mal avec le HTML.

Ce que veut rvelices, je pense c'est charger le bloc de titre (<div id="theHeader">) dans un textarea pour pouvoir le modifier directement? A lui de confirmer. Au niveau de la pertinence, ça me parait moyen. Par contre, il est vrai que ça fait partie des premieres personnalisations que les gens font sur leur site. ca meriterait peut-être un tutoriel poussé

(0000675)
rvelices (developer)
2006.03.08 17:37
edited on: 2006.03.08 17:38

Mathias t'as eu bon. Ce que je pensais est avoir un text area ou l'utilisateur peut modifier ca:
<div id="theHeader">
  <h1>PhpWebGallery demonstration site</h1>
  

My photos web site


<div>

En fait je viens de me rendre compte que la colonne value dans la table #config est un varchar(255) ce qui peut limiter cette solution (il va falloir passer en text si on decide de l'implementer de cette maniere)

(0000676)
plg (manager)
2006.03.08 18:29

En effet rvelices, il faut passer #config.value à TEXT. C'est un autre bug (j'ai la flemme de chercher lequel là maintenant).

Je ne suis pas tout à fait OK pour remplacer le paramètre $conf['gallery_description'] par $conf['html_header']. Car actuellement $conf['gallery_description'] est utilisé à plus d'endroits que le header HTML. Il faut réfléchir à une solution qui évite la redondance...
(0000677)
rvelices (developer)
2006.03.08 19:39

En fait conf['gallery_description'] est utilisee a un seul endroit, mais conf['gallery_title'] a plusieurs.
Voila ma proposition:
- conf['gallery_title'] reste
- conf['gallery_description'] disparait et remplacee par conf['gallery_page_header']
(par la meme occasion je ferai varchar => text )
(0000678)
plg (manager)
2006.03.08 20:12

OK pour moi. Si tu veux t'en occuper, assignes le toi. Si tu ne veux pas le faire, assignes le moi :-)
(0000682)
rvelices (developer)
2006.03.09 02:53

[Subversion] r1071

- Issue History
Date Modified Username Field Change
2006.03.07 19:34 rvelices New Issue
2006.03.07 19:34 rvelices browser => any
2006.03.07 19:34 rvelices Web server => Apache 1.3.x
2006.03.07 23:18 plg Note Added: 0000670
2006.03.08 14:46 mathiasm Note Added: 0000671
2006.03.08 14:55 rvelices Note Added: 0000672
2006.03.08 15:29 plg Note Added: 0000673
2006.03.08 17:09 mathiasm Note Added: 0000674
2006.03.08 17:13 mathiasm Note Edited: 0000674
2006.03.08 17:37 rvelices Note Added: 0000675
2006.03.08 17:38 rvelices Note Edited: 0000675
2006.03.08 17:38 rvelices Note Edited: 0000675
2006.03.08 18:29 plg Note Added: 0000676
2006.03.08 19:39 rvelices Note Added: 0000677
2006.03.08 20:12 plg Note Added: 0000678
2006.03.08 20:46 rvelices Status new => assigned
2006.03.08 20:46 rvelices Assigned To => rvelices
2006.03.09 02:53 rvelices Note Added: 0000682
2006.03.09 02:53 rvelices Status assigned => closed
2006.03.09 02:53 rvelices Resolution open => fixed
2006.03.09 02:53 rvelices Fixed in Version => 1.6 branch


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker